package com.xunao.effectdemo.activity;

import androidx.appcompat.app.AppCompatActivity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.xunao.effectdemo.R;

/**
 * 地图闯关
 */
public class MapChallengeActivity extends Activity {
    Button btnMap1, btnMap2, btnMap3, btnMap4, btnMap5, btnMap6;

    Intent intent;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_map_challenge);
        initView();
    }

    void initView(){
        btnMap1 = findViewById(R.id.btn_map_1);
        btnMap2 = findViewById(R.id.btn_map_2);
        btnMap3 = findViewById(R.id.btn_map_3);
        btnMap3.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                intent = new Intent(MapChallengeActivity.this, VideoDemandActivity.class);
                startActivity(intent);
            }
        });
        btnMap4 = findViewById(R.id.btn_map_4);
        btnMap5 = findViewById(R.id.btn_map_5);
        btnMap6 = findViewById(R.id.btn_map_6);
    }

}